
TYPO3.Flow - Feature # 37584

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Http
Created: 2012-05-29 Assigned To: Robert Lemke
Updated: 2012-05-30 Due date:
PHP Version: 5.3
Has patch: No
Complexity: medium
Subject: Reliable getClientIpAddress() method
Description

We need a reliable way to determine the user's IP address - even if he was passed through several proxies or if some other
webserver than Apache was used.

Associated revisions
Revision 66bcdf54 - 2012-05-30 12:00 - Robert Lemke

[FEATURE] Provide way to determine client IP address

This adds a method getClientIpAddress() to the HTTP Request
class. It considers various kinds of environment variables
which are present when using proxies or certain server setups
for determining the actual client IP address.

Change-Id: I906efb9ae826ab4f4286be862ef8853105c27ae2
Resolves: #37584
Releases: 1.1, 1.2

Revision 744c7593 - 2012-05-30 14:15 - Robert Lemke

[BUGFIX] Fix IP address validation

The IP address validation done with filter_var() worked
on the development machine running PHP 5.3.12, however,
it failed on the integration server running PHP 5.3.5.
Apparently, the filter_var options for FILTER_VALIDATE_IP
behave differently in these versions.

This patch removes the validation for IPv4 / IPv6 addresses
because they didn't make sense anyway.

In that regard: hooray for PHP behavior changes. They actually
exploit bad application code. Sometimes.

Change-Id: I0df423b45426c0e65ce5ecbd894be4466816fe05
Releases: 1.1, 1.2
Related: #37584
Revision 253a9392 - 2012-05-30 19:47 - Robert Lemke

[FEATURE] Provide way to determine client IP address

This adds a method getClientIpAddress() to the HTTP Request
class. It considers various kinds of environment variables
which are present when using proxies or certain server setups
for determining the actual client IP address.

Change-Id: I906efb9ae826ab4f4286be862ef8853105c27ae2
Resolves: #37584
Releases: 1.1, 1.2

Revision aa1a0c5f - 2012-05-30 19:48 - Robert Lemke

[BUGFIX] Fix IP address validation

The IP address validation done with filter_var() worked
on the development machine running PHP 5.3.12, however,
it failed on the integration server running PHP 5.3.5.
Apparently, the filter_var options for FILTER_VALIDATE_IP
behave differently in these versions.

This patch removes the validation for IPv4 / IPv6 addresses
because they didn't make sense anyway.

In that regard: hooray for PHP behavior changes. They actually
exploit bad application code. Sometimes.

Change-Id: I0df423b45426c0e65ce5ecbd894be4466816fe05
Releases: 1.1, 1.2
Related: #37584

History
#1 - 2012-05-29 19:32 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11699

#2 - 2012-05-29 19:37 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11699

#3 - 2012-05-29 21:58 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11699

#4 - 2012-05-29 22:14 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11699

#5 - 2012-05-29 22:42 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11699

#6 - 2012-05-29 22:56 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11699

#7 - 2012-05-30 12:04 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11699

#8 - 2012-05-30 12:38 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:66bcdf54a158a4731259bad05a5eee39ae6f5dcb.

#9 - 2012-05-30 12:42 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11728

#10 - 2012-05-30 14:26 - Gerrit Code Review

Patch set 2 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11728

#11 - 2012-05-30 18:09 - Gerrit Code Review

Patch set 3 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11728
#12 - 2012-05-30 19:49 - Gerrit Code Review

Patch set 4 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11728

#13 - 2012-05-30 20:38 - Robert Lemke
- Status changed from Under Review to Resolved

Applied in changeset commit:253a939213dc6aaa8f4f18f6b364972fc82c9d6b.
